///////////////////////////////////////////////////////////////////////////////////////////////////
// INDICATE IF THE GROUP BY IS CORRECTLY USED AND SHOWS EXTRA INDICATORS //////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
function changeSortingGroupBy() {

	// CHECK THE VALUE OF GROUP BY SELECTOR ///////////////////////////////////////////////////////
	switch ( $F('groupBySelector') ) {

		// MAIN CRITERION -------------------------------------------------------------------------
		case 'main': {
			// if no column set for main criterion
			if ( !$F('mainCriterionColumn') ) {
				$('groupBySelector').value='';
			}
			break;
		}

		// SEC CRITERION --------------------------------------------------------------------------
		case 'sec': {
			// if no column set for main criterion
			if ( !$F('secCriterionColumn') ) {
				$('groupBySelector').value='';
			}
			break;
		}

		// THIRD CRITERION ------------------------------------------------------------------------
		case 'third': {
			// if no column set for main criterion
			if ( !$F('thirdCriterionColumn') ) {
				$('groupBySelector').value='';
			}
			break;
		}

	}

}


///////////////////////////////////////////////////////////////////////////////////////////////////
// CHANGES THE NUMERIC/PRICE CUSTOM FILTER ////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
function updateNumericCustomFilterValues(column) {

	var val=$F('customFilterOperation_'+column);

	// selected option =  'interval' --------------------------------------------------------------
	if (val=='inclClosedInterval' || val=='inclOpenInterval' || val=='exclClosedInterval' || val=='exclOpenInterval') {
		$('numFields_'+column+'_interval').show(); $('numFields_'+column+'_value').hide();
	}
	// selected option =  'value' -----------------------------------------------------------------
	if (val=='equals' || val=='notEquals') {
		$('numFields_'+column+'_interval').hide(); $('numFields_'+column+'_value').show();
	}

	// refresh the interval
	refreshCustomFilterInterval(column);
}


///////////////////////////////////////////////////////////////////////////////////////////////////
// REFRESH THE INTERVAL DISPLAY FOR CUSTOM FILTERS (NUMERIC/PRICE) ////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
function refreshCustomFilterInterval(column) {

	var ret='';

	// CLEAN FIELDS (they should be numeric) //////////////////////////////////////////////////////
	if ($F('customFilter_minValue_'+column)!='') $('customFilter_minValue_'+column).value=transformToPrice( $F('customFilter_minValue_'+column) );
	if ($F('customFilter_maxValue_'+column)!='') $('customFilter_maxValue_'+column).value=transformToPrice( $F('customFilter_maxValue_'+column) );
	if ($F('customFilter_value_'+column)!='') $('customFilter_value_'+column).value=transformToPrice( $F('customFilter_value_'+column) );

	// DISPLAY INTERVAL ///////////////////////////////////////////////////////////////////////////

	// TYPE = 'inclClosedInterval' ----------------------------------------------------------------
	if ($F('customFilterOperation_'+column)=="inclClosedInterval") {
		ret='[';
		if ( $F('customFilter_minValue_'+column) ) ret+=$F('customFilter_minValue_'+column);
		else ret+='-&infin;';
		ret+=', ';
		if ( $F('customFilter_maxValue_'+column) ) ret+=$F('customFilter_maxValue_'+column);
		else ret+='+&infin;';
		ret+=']';
	}
	// TYPE = 'inclOpenInterval' ------------------------------------------------------------------
	if ($F('customFilterOperation_'+column)=="inclOpenInterval") {
		ret='(';
		if ( $F('customFilter_minValue_'+column) ) ret+=$F('customFilter_minValue_'+column);
		else ret+='-&infin;';
		ret+=', ';
		if ( $F('customFilter_maxValue_'+column) ) ret+=$F('customFilter_maxValue_'+column);
		else ret+='+&infin;';
		ret+=')';
	}
	// TYPE = 'exclClosedInterval' ----------------------------------------------------------------
	if ($F('customFilterOperation_'+column)=="exclClosedInterval") {
		if ( $F('customFilter_minValue_'+column) ) ret+='(-&infin;, '+$F('customFilter_minValue_'+column)+']';
		if ( $F('customFilter_minValue_'+column) && $F('customFilter_maxValue_'+column) )ret+=' &cup; ';
		if ( $F('customFilter_maxValue_'+column) ) ret+='['+$F('customFilter_maxValue_'+column)+', +&infin;)';
		if ( !$F('customFilter_minValue_'+column) && !$F('customFilter_maxValue_'+column) )ret+='(-&infin;, +&infin;)';
	}
	// TYPE = 'exclOpenInterval' ----------------------------------------------------------------
	if ($F('customFilterOperation_'+column)=="exclOpenInterval") {
		if ( $F('customFilter_minValue_'+column) ) ret+='(-&infin;, '+$F('customFilter_minValue_'+column)+')';
		if ( $F('customFilter_minValue_'+column) && $F('customFilter_maxValue_'+column) )ret+=' &cup; ';
		if ( $F('customFilter_maxValue_'+column) ) ret+='('+$F('customFilter_maxValue_'+column)+', +&infin;)';
		if ( !$F('customFilter_minValue_'+column) && !$F('customFilter_maxValue_'+column) )ret+='(-&infin;, +&infin;)';
	}

	// ASSOCIATE THE NEW INTERVAL /////////////////////////////////////////////////////////////////
	$('displayIntervalBox_'+column).innerHTML=ret;

}